## rust-snow 0.9.6

=== debian/changelog ===
rust-snow (0.9.6-6) unstable; urgency=medium

  * autopkgtest-depend on dh-rust (not dh-cargo)
  * stop mention dh-cargo in long description
  * declare rust-related build-dependencies unconditionally,
    i.e. drop broken nocheck annotations
  * add metadata about upstream project
  * update git-buildpackage config:
    + filter out debian subdir
    + improve usage comment
  * update watch file:
    + improve filename mangling
    + use Github API
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 08 Feb 2025 00:10:49 +0100

rust-snow (0.9.6-5) unstable; urgency=medium

  * simplify packaging;
    build-depend on dh-sequence-rust
    (not dh-cargo libstring-shellquote-perl)
  * stop build- or autopkgtest-depend on package for crate clap
  * stop provide or autopkgtest feature vector-tests,
    failing the autopkgtest

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 12 Jul 2024 18:04:41 +0200

rust-snow (0.9.6-4) unstable; urgency=medium

  * fix autopkgtests;
    closes: bug#1071253, thanks to Jeremy Bícha
  * tidy control file: sort dependencies

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 18 May 2024 11:32:10 +0200

rust-snow (0.9.6-3) unstable; urgency=medium

  * update TODOs
  * change patch 2002 to accept newer branch of crate x25519-dalek
    (not avoid the crate);
    build- and autopkgtest-depend on package for crate x25519-dalek:
    closes bug#1071253, thanks to Jeremy Bícha

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 17 May 2024 13:31:52 +0200

rust-snow (0.9.6-2) unstable; urgency=medium

  * reduce patch 2001;
    provide and autopkgtest features
    default default-resolver ring-accelerated vector-tests xchachapoly;
    build-depend on packages for crates
    aes-gcm chacha20poly1305 curve25519-dalek blake2 sha2 x25519-dalek
  * update DEP-3 headers for patch 2002
  * update copyright info: fix file path
  * declare compliance with Debian Policy 4.7.0

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 16 May 2024 14:47:09 +0200

rust-snow (0.9.6-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)
    + stateful nonce desync fix;
      closes: bug#1062663, thanks to Alexander Kjäll

  [ Jonas Smedegaard ]
  * bump project versions in virtual packages and autopkgtests
  * update and unfuzz patches
  * update TODOs
  * update copyright info: update coverage
  * drop patch 1001;
    expand patch 2001;
    revive patch 2002;
    stop (build-)depend on packages
    for crates aes-gcm blake2 chacha20poly1305 curve25519-dalek sha2;
    stop build- and autopkgtest-depend
    on package for crate x25519-dalek;
    stop provide and autopkgtest features
    default default-resolver ring-accelerated test-vectors xchachapoly

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 07 Feb 2024 01:28:33 +0100

rust-snow (0.9.4-2) experimental; urgency=medium

  * reduce patch 2001;
    drop patch 2002;
    (build-)depend on packages for crates
    aes-gcm blake2 chacha20poly1305 curve25519-dalek sha2;
    build- and autopkgtest-depend on package for crate x25519-dalek;
    provide and autopkgtest features
    default default-resolver ring-accelerated test-vectors xchachapoly
  * add patch 1001 to cover newer releases of crate x25519-dalek

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 25 Nov 2023 00:14:57 +0100

rust-snow (0.9.4-1) unstable; urgency=medium

  * tighten (build-)dependencies for crate ring;
    expand autopkgtest architecture coverage
  * drop patch cherry-picked upstream,
    obsoleted by upstream changes
  * bump project version in virtual packages and autopkgtests
  * update and unfuzz patches
  * update TODO notes

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 25 Nov 2023 00:01:19 +0100

rust-snow (0.9.3-3) unstable; urgency=medium

  * add patch cherry-picked upstream
    to relax dependency on crate ring;
    temporarily relax (build-)dependencies for crate ring;
    closes: bug#1055320, thanks to Peter Green
  * add TODO note on autopkgtest architecture coverage

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 04 Nov 2023 08:35:52 +0100

rust-snow (0.9.3-2) unstable; urgency=medium

  * extend patch 2001 to omit feature vector-tests,
    relying on default set of crypto algorithms;
    stop provide or autopkgtest feature vector-tests;
    closes: bug#1051621, thanks to Jeremy Bícha
  * update dh-cargo fork
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 16 Oct 2023 20:17:30 +0200

rust-snow (0.9.3-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * unfuzz patches
  * bump project version in virtual packages and autopkgtests
  * add patch 2001 to avoid benches, replacing patch 1001;
    stop build- or autopkgtest-depend on criterion

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 24 Aug 2023 11:15:01 +0200

rust-snow (0.9.2-3) unstable; urgency=medium

  * update DEP-3 patch headers
  * limit autopgtests to architectures supported by crate ring
  * update dh-cargo fork

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 20 Aug 2023 10:51:53 +0200

rust-snow (0.9.2-2) unstable; urgency=medium

  * rename patch 2002_criterion -> 1001_criterion

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 09 Aug 2023 19:50:59 +0200

rust-snow (0.9.2-1) experimental; urgency=medium

  * initial packaging release;
    closes: bug#1043206

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 07 Aug 2023 12:56:31 +0200
