=== debian/control ===
Source: rust-snow
Section: rust
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-rust,
 librust-aes-gcm-0.10+default-dev,
 librust-blake2-0.10+default-dev,
 librust-chacha20poly1305-0.10+default-dev,
 librust-curve25519-dalek-4+default-dev,
 librust-hex-0.4+default-dev,
 librust-lazy-static-1+default-dev,
 librust-rand-0.8+default-dev,
 librust-rand-core-0.6+default-dev,
 librust-rand-core-0.6+getrandom-dev,
 librust-rand-core-0.6+std-dev,
 librust-ring-0.17+default-dev,
 librust-ring-0.17+std-dev,
 librust-rustc-version-0.4-dev,
 librust-serde-1+default-dev,
 librust-serde-derive-1+default-dev,
 librust-serde-json-1+default-dev,
 librust-sha2-0.10+default-dev,
 librust-subtle-2+default-dev,
 librust-x25519-dalek-2+default-dev,
Maintainer: Jonas Smedegaard <dr@jones.dk>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/debian/rust-snow.git
Vcs-Browser: https://salsa.debian.org/debian/rust-snow
Homepage: https://github.com/mcginty/snow
Rules-Requires-Root: no

Package: librust-snow-dev
Architecture: all
Multi-Arch: foreign
Depends:
 librust-rand-core-0.6+default-dev,
 librust-rand-core-0.6+getrandom-dev,
 librust-rand-core-0.6+std-dev,
 librust-ring-0.17+default-dev,
 librust-ring-0.17+std-dev,
 librust-subtle-2+default-dev,
 ${misc:Depends},
Provides:
 librust-snow-0.9+default-dev (= ${binary:Version}),
 librust-snow-0.9+default-resolver-dev (= ${binary:Version}),
 librust-snow-0.9+hfs-dev (= ${binary:Version}),
 librust-snow-0.9+ring-accelerated-dev (= ${binary:Version}),
 librust-snow-0.9+ring-resolver-dev (= ${binary:Version}),
 librust-snow-0.9+risky-raw-split-dev (= ${binary:Version}),
 librust-snow-0.9+xchachapoly-dev (= ${binary:Version}),
 librust-snow-0.9-dev (= ${binary:Version}),
 librust-snow-0.9.6-dev (= ${binary:Version}),
Description: pure-rust Noise Protocol Framework implementation - Rust source code
 The snow crate is a straightforward,
 Hard To Fuck Up™ Noise Protocol implementation.
 .
 The Noise Protocol Framework is a set of crypto protocols
 based on Diffie-Hellman key agreement,
 that each can consist of a single message
 as well as interactive protocols.
 .
 This package contains the source for the Rust snow crate,
 for use with cargo.
