=== debian/tests/control ===
Test-Command: /usr/share/dh-rust/bin/cargo-auto-test snow 0.9.6
 --all-targets --all-features
Features: test-name=rust-snow:@
Depends:
 dh-rust,
 librust-aes-gcm-0.10+default-dev,
 librust-blake2-0.10+default-dev,
 librust-chacha20poly1305-0.10+default-dev,
 librust-curve25519-dalek-4+default-dev,
 librust-hex-0.4+default-dev,
 librust-lazy-static-1+default-dev,
 librust-rand-0.8+default-dev,
 librust-rustc-version-0.4-dev,
 librust-serde-1+default-dev,
 librust-serde-derive-1+default-dev,
 librust-serde-json-1+default-dev,
 librust-sha2-0.10+default-dev,
 librust-snow-0.9-dev,
 librust-x25519-dalek-2+default-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test snow 0.9.6
 --all-targets --no-default-features
Features: test-name=rust-snow:
Depends:
 dh-rust,
 librust-aes-gcm-0.10+default-dev,
 librust-blake2-0.10+default-dev,
 librust-chacha20poly1305-0.10+default-dev,
 librust-curve25519-dalek-4+default-dev,
 librust-hex-0.4+default-dev,
 librust-lazy-static-1+default-dev,
 librust-rand-0.8+default-dev,
 librust-rustc-version-0.4-dev,
 librust-serde-1+default-dev,
 librust-serde-derive-1+default-dev,
 librust-serde-json-1+default-dev,
 librust-sha2-0.10+default-dev,
 librust-snow-0.9-dev,
 librust-x25519-dalek-2+default-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test snow 0.9.6
 --all-targets --no-default-features --features default
Features: test-name=rust-snow:default
Depends:
 dh-rust,
 librust-aes-gcm-0.10+default-dev,
 librust-blake2-0.10+default-dev,
 librust-chacha20poly1305-0.10+default-dev,
 librust-curve25519-dalek-4+default-dev,
 librust-hex-0.4+default-dev,
 librust-lazy-static-1+default-dev,
 librust-rand-0.8+default-dev,
 librust-rustc-version-0.4-dev,
 librust-serde-1+default-dev,
 librust-serde-derive-1+default-dev,
 librust-serde-json-1+default-dev,
 librust-sha2-0.10+default-dev,
 librust-snow-0.9+default-dev,
 librust-x25519-dalek-2+default-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test snow 0.9.6
 --all-targets --no-default-features --features default-resolver
Features: test-name=rust-snow:default-resolver
Depends:
 dh-rust,
 librust-aes-gcm-0.10+default-dev,
 librust-blake2-0.10+default-dev,
 librust-chacha20poly1305-0.10+default-dev,
 librust-curve25519-dalek-4+default-dev,
 librust-hex-0.4+default-dev,
 librust-lazy-static-1+default-dev,
 librust-rand-0.8+default-dev,
 librust-rustc-version-0.4-dev,
 librust-serde-1+default-dev,
 librust-serde-derive-1+default-dev,
 librust-serde-json-1+default-dev,
 librust-sha2-0.10+default-dev,
 librust-snow-0.9+default-resolver-dev,
 librust-x25519-dalek-2+default-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test snow 0.9.6
 --all-targets --no-default-features --features hfs
Features: test-name=rust-snow:hfs
Depends:
 dh-rust,
 librust-aes-gcm-0.10+default-dev,
 librust-blake2-0.10+default-dev,
 librust-chacha20poly1305-0.10+default-dev,
